org.crosswire.jsword.index

## Interface IndexPolicy

- All Known Implementing Classes:
    IndexPolicyAdapter

      public interface IndexPolicy

  An IndexPolicy allows for controlling the overall behavior of Index creation. This class will change from time to time so it is important to derive from IndexPolicyAdapter to provide application resiliency.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getRAMBufferSize()` The maximum size of the RAM Buffer in megabytes that the underlying indexer may use during index creation.
    `boolean` | `isMorphIndexed()` Indicates whether Strong's Numbers should be included in the index.
    `boolean` | `isNoteIndexed()` Indicates whether Strong's Numbers should be included in the index.
    `boolean` | `isSerial()` Indicates whether one Book can be indexed at a time.
    `boolean` | `isStrongsIndexed()` Indicates whether Strong's Numbers should be included in the index.
    `boolean` | `isTitleIndexed()` Indicates whether Titles and Introductions should be included in the index.
    `boolean` | `isXrefIndexed()` Indicates whether Cross References should be included in the index.

- - ### Method Detail

    - #### isStrongsIndexed

          boolean isStrongsIndexed()

      Indicates whether Strong's Numbers should be included in the index. Adapter default: true;
      Returns:
        true if Strong's Numbers should be indexed

    - #### isMorphIndexed

          boolean isMorphIndexed()

      Indicates whether Strong's Numbers should be included in the index. Adapter default: true;
      Returns:
        true if Strong's Numbers should be indexed

    - #### isNoteIndexed

          boolean isNoteIndexed()

      Indicates whether Strong's Numbers should be included in the index. Adapter default: true;
      Returns:
        true if Notes should be indexed

    - #### isTitleIndexed

          boolean isTitleIndexed()

      Indicates whether Titles and Introductions should be included in the index. Adapter default: true;
      Returns:
        true if Titles and Introductions should be indexed

    - #### isXrefIndexed

          boolean isXrefIndexed()

      Indicates whether Cross References should be included in the index. Adapter default: true;
      Returns:
        true if Cross References should be indexed

    - #### getRAMBufferSize

          int getRAMBufferSize()

      The maximum size of the RAM Buffer in megabytes that the underlying indexer may use during index creation. Adapter default: 16.
      Returns:
        the size of the RAM Buffer.

    - #### isSerial

          boolean isSerial()

      Indicates whether one Book can be indexed at a time. When false, there is no upper bound on the number of Books at any one time. Adapter default: false.
      Returns:
        whether there can only be one Book indexed at a time.